WordlistLoader (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.WordlistLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class WordlistLoader

    java.lang.Object
      org.apache.lucene.analysis.WordlistLoader

    public class WordlistLoader

extends Object

Loader for text files that represent a list of stopwords.

Version:
  $Id: WordlistLoader.java 564236 2007-08-09 15:21:19Z gsingers $

Constructor Summary
`WordlistLoader()`

Method Summary
`static HashMap` | `getStemDict(File wordstemfile)` Reads a stem dictionary.
`static HashSet` | `getWordSet(File wordfile)` Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace).
`static HashSet` | `getWordSet(Reader reader)` Reads lines from a Reader and adds every line as an entry to a HashSet (omitting leading and trailing whitespace).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WordlistLoader

    public WordlistLoader()

Method Detail

### getWordSet

    public static HashSet getWordSet(File wordfile)
                              throws IOException

  Loads a text file and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the file should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer).

  Parameters:
    `wordfile` - File containing the wordlist
  Returns:
    A HashSet with the file's words
  Throws:
    `IOException`

### getWordSet

    public static HashSet getWordSet(Reader reader)
                              throws IOException

  Reads lines from a Reader and adds every line as an entry to a HashSet (omitting leading and trailing whitespace). Every line of the Reader should contain only one word. The words need to be in lowercase if you make use of an Analyzer which uses LowerCaseFilter (like StandardAnalyzer).

  Parameters:
    `reader` - Reader containing the wordlist
  Returns:
    A HashSet with the reader's words
  Throws:
    `IOException`

### getStemDict

    public static HashMap getStemDict(File wordstemfile)
                               throws IOException

  Reads a stem dictionary. Each line contains:

      word\tstem

  (i.e. two tab seperated words)

  Returns:
    stem dictionary that overrules the stemming algorithm
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.